class CreateEmployees < ActiveRecord::Migration[5.1]
  def change
    create_table :employees do |t|
      t.string :name, :null => false
      t.string :role, :null => false, :default => "cashier"
      t.string :emp_id, :null => false
      t.string :password_digest, :null => false
      t.string :token_session
      t.datetime :session_expiry
      t.datetime :session_last_login
      t.string :created_by
      t.timestamps
    end
  end
end
